package de.dass_it.vanhelsing.gui.items;
public class FDClientItem extends ItemType implements UserObjectItem{
	private String name;
	private String workingdirectory;
	private String piddirectory;
	private String heartbeatinterval;
	private String maximumconcurrentjobs;
	private String fdaddresses;
	private String fdport;
	private String fdaddress;
	private String fdsourceaddress;
	private String sdconnecttimeout;
	private String maximumnetworkbuffersize;
	//private String heartbeatInterval; Parameter in Dokumentation doppelt vorhanden
	private String pkiencryption;
	private String pkisignatures;
	private String pkikeypair;
	private String pkimasterkey;
	
	public FDClientItem(){}
	public FDClientItem(String name, String workingDirectory, String pidDirectory){
		setName(name);
		setWorkingdirectory(workingdirectory);
		setPiddirectory(piddirectory);
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getWorkingdirectory() {
		return workingdirectory;
	}
	public void setWorkingdirectory(String workingdirectory) {
		this.workingdirectory = workingdirectory;
	}
	public String getPiddirectory() {
		return piddirectory;
	}
	public void setPiddirectory(String piddirectory) {
		this.piddirectory = piddirectory;
	}
	public String getHeartbeatinterval() {
		return heartbeatinterval;
	}
	public void setHeartbeatinterval(String heartbeatinterval) {
		this.heartbeatinterval = heartbeatinterval;
	}
	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}
	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}
	public String getFdaddresses() {
		return fdaddresses;
	}
	public void setFdaddresses(String fdaddresses) {
		this.fdaddresses = fdaddresses;
	}
	public String getFdport() {
		return fdport;
	}
	public void setFdport(String fdport) {
		this.fdport = fdport;
	}
	public String getFdaddress() {
		return fdaddress;
	}
	public void setFdaddress(String fdaddress) {
		this.fdaddress = fdaddress;
	}
	public String getFdsourceaddress() {
		return fdsourceaddress;
	}
	public void setFdsourceaddress(String fdsourceaddress) {
		this.fdsourceaddress = fdsourceaddress;
	}
	public String getSdconnecttimeout() {
		return sdconnecttimeout;
	}
	public void setSdconnecttimeout(String sdconnecttimeout) {
		this.sdconnecttimeout = sdconnecttimeout;
	}
	public String getMaximumnetworkbuffersize() {
		return maximumnetworkbuffersize;
	}
	public void setMaximumnetworkbuffersize(String maximumnetworkbuffersize) {
		this.maximumnetworkbuffersize = maximumnetworkbuffersize;
	}
	public String getPkiencryption() {
		return pkiencryption;
	}
	public void setPkiencryption(String pkiencryption) {
		this.pkiencryption = pkiencryption;
	}
	public String getPkisignatures() {
		return pkisignatures;
	}
	public void setPkisignatures(String pkisignatures) {
		this.pkisignatures = pkisignatures;
	}
	public String getPkikeypair() {
		return pkikeypair;
	}
	public void setPkikeypair(String pkikeypair) {
		this.pkikeypair = pkikeypair;
	}
	public String getPkimasterkey() {
		return pkimasterkey;
	}
	public void setPkimasterkey(String pkimasterkey) {
		this.pkimasterkey = pkimasterkey;
	}

}
